Skip to main content
GET
/
api
/
memorization
/
script
/
{scriptId}
Script - Get by ID
curl --request GET \
  --url https://app.replay.sale/api/memorization/script/{scriptId} \
  --header 'x-api-key: <api-key>'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "title": "<string>",
  "passingScore": 1,
  "numLevels": 2,
  "createdAt": "2023-11-07T05:31:56Z",
  "userInstructions": "<string>",
  "segments": [
    {
      "order": 2,
      "ogText": "<string>",
      "speaker": "AI"
    }
  ],
  "coverImageUrl": "<string>"
}

Authorizations

x-api-key
string
header
required

API key for authentication. Get your API key from your company settings.

Path Parameters

scriptId
string<uuid>
required

The UUID of the script to retrieve

Response

Successfully retrieved script details

id
string<uuid>
required
title
string
required
passingScore
number
required
Required range: x >= 0
numLevels
integer
required
Required range: x >= 1
createdAt
string<date-time>
required
userInstructions
string
required

Instructions shown to the user

segments
object[]
required
coverImageUrl
string | null